Loading...
Searching...
No Matches
Gfx::DynamicBuffer Struct Reference

Struct for dynamic buffers. More...

`#include <src/graphics/opengl/gl33device.h>`

## Public Attributes

GLuint | vao = 0
| Auxiliary VAO for rendering primitives with DrawPrimitive*.
GLuint | vbo = 0
| Dynamic buffer.
unsigned int | size = 0
| Dynamic buffer size.
unsigned int | offset = 0
| Dynamic buffer offset.

## Detailed Description

Struct for dynamic buffers.

## Member Data Documentation

## vao

GLuint Gfx::DynamicBuffer::vao = 0

Auxiliary VAO for rendering primitives with DrawPrimitive*.

## vbo

GLuint Gfx::DynamicBuffer::vbo = 0

Dynamic buffer.

## size

unsigned int Gfx::DynamicBuffer::size = 0

Dynamic buffer size.

## offset

unsigned int Gfx::DynamicBuffer::offset = 0

Dynamic buffer offset.

The documentation for this struct was generated from the following file:

- src/graphics/opengl/gl33device.h